Subject: Re: 25.1.50; Emacs crash in syntax.c

From: Eli Zaretskii <[email-masked]>
Date: Mon, 06 Jun 2016 21:58:27 +0300

> Cc: Vincent Belaïche <[email-masked]>,
>  Andreas Schwab <[email-masked]>, Eli Zaretskii <[email-masked]>
> From: Paul Eggert <[email-masked]>
> Date: Mon, 6 Jun 2016 10:17:56 -0700
> 
> Thanks to all for the bug report and followup investigation. There is a 
> clear bug in skip_syntaxes in Emacs 25, which the attached patch should fix.
> 
> Eli, OK to install this into emacs-25? If not, I can install it into master.

It should go to the release branch.

However, isn't this just part of the problem?  What about the call to
UPDATE_SYNTAX_TABLE_FORWARD?  It can also call Lisp.  Or are you
saying that the bug is unrelated to GC while the loop in skip_syntaxes
is running?

Thanks.